<section class="ls s-py-40 s-py-lg-130 program program-carousel animate recipe-page" data-animation="fadeInUp" id="classes">
    <div class="container">
      <div class="row">
        <!-- kokololo123!@# -->
        <div class="col-sm-12 text-center">
          <div class="section-heading">
            <div class="col-lg-12 mt-2" style="display: flex;height: 35px;">
                <div class="input-group has-icon">
                    <input id="txtSearch" class="form-control py-2 mr-1" type="text"
                        placeholder="search recipe with name.." style="height: 35px;padding: 0 5px;">
                    <span class="input-group-append" (click)="SearchClick()" style="height: 35px;">
                        <div class="input-group-text border-0 mt-1 mb-1">
                            <i class="fa fa-search"></i>
                        </div>
                    </span>
                </div>
                &nbsp;
                <button style="width: 100px;" class="btn p-0" (click)="ClearSearchClick()">Clear Search</button>
                &nbsp;
                <button *ngIf="isLoggedIN" style="width: 100px;" class="btn p-0" (click)="CreateRecipe()">Create Recipe</button>
            </div>
          </div>
          <app-recipe-template [data]="lstRecipe" [recipePage]="true" (DeleteEvent)="deleteRecipe($event)">
  
          </app-recipe-template>
          <div *ngIf="PageCount>1" class="page-div-footer">
            <nav aria-label="Page navigation example">
                <ul class="pagination">
                    <li (click)="pageClick($event)" attr.data-index="{{(PageNo-1)}}" class="page-item"
                        *ngIf="PageNo>0"><a class="page-link">Previous</a></li>
                    <li [ngClass]="{'active' : i==PageNo}" (click)="pageClick($event)" attr.data-index="{{i}}"
                        class="page-item" *ngFor="let item of [].constructor(PageCount);let i = index"><a
                            class="page-link">
                            {{(i+1)}}</a></li>
                    <li (click)="pageClick($event)" attr.data-index="{{(PageNo+1)}}" class="page-item"
                        *ngIf="(PageNo+1)<PageCount"><a class="page-link">Next</a></li>
                </ul>
            </nav>
        </div>
        </div>
      </div>
      <div class="divider-30"></div>
    </div>
  </section>